curl --request GET \
--url https://nxt-ulm-pdt.m1amdocs.io/platform/rest/v85/user/loginHistory \
--cookie JSESSIONID=import requests
url = "https://nxt-ulm-pdt.m1amdocs.io/platform/rest/v85/user/loginHistory"
headers = {"cookie": "JSESSIONID="}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {cookie: 'JSESSIONID='}};
fetch('https://nxt-ulm-pdt.m1amdocs.io/platform/rest/v85/user/loginHistory', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://nxt-ulm-pdt.m1amdocs.io/platform/rest/v85/user/loginHistory",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_COOKIE => "JSESSIONID=",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://nxt-ulm-pdt.m1amdocs.io/platform/rest/v85/user/loginHistory"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("cookie", "JSESSIONID=")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://nxt-ulm-pdt.m1amdocs.io/platform/rest/v85/user/loginHistory")
.header("cookie", "JSESSIONID=")
.asString();require 'uri'
require 'net/http'
url = URI("https://nxt-ulm-pdt.m1amdocs.io/platform/rest/v85/user/loginHistory")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["cookie"] = 'JSESSIONID='
response = http.request(request)
puts response.read_body[
{
"deviceIP": "127.0.0.1",
"relyingPartyId": "music",
"relyingPartyProtocol": "REST",
"requestedHost": "host1",
"runtime": {
"activatedDate": 1514766808000,
"attributes": {
"macAddress": "000000000001A0",
"externalDeviceGUID": "<string>"
},
"buildType": "Production",
"createdDate": 1538682581776,
"deactivatedDate": 1543833950000,
"deviceType": "phone",
"displayName": "Paul's iPad",
"guid": "DEF123",
"id": 1,
"platformType": "android",
"status": "activated",
"suspendedDate": 1527917430000,
"type": "com.uxpsystems.ulm.entity.RegularEntityType",
"updatedDate": 1538682581776,
"userAgent": "Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/71.0.3578.98 Safari/537.36",
"version": "4.1.1"
},
"timestamp": 1651180416000
}
]{
"fieldErrors": [
{
"code": "NotNull",
"code_v2": "not-null",
"field": "name",
"message": "Value must not be null",
"rejectedValue": "bad value"
}
],
"operationErrors": [
{
"code": "invalid-page-offset",
"message": "The requested page size is larger than the permitted max page size."
}
]
}{
"operationError": {
"code": "<string>",
"message": "Bad user input",
"type": "<string>",
"authorities": [
"<string>"
]
},
"stackTrace": "<string>",
"operationErrors": [
{
"code": "authentication-required",
"message": "Full Authentication Required"
}
]
}{
"operationError": {
"code": "<string>",
"message": "Bad user input",
"type": "<string>",
"authorities": [
"<string>"
]
},
"stackTrace": "<string>",
"operationErrors": [
{
"code": "ACCESS_FORBIDDEN",
"message": "Access Denied"
}
]
}Retrieve the login history for current user
Retrieves a list of the currently authenticated Connect user’s login attempts and results. You can specify pagination query parameters in order to control the amount of responses per page.
curl --request GET \
--url https://nxt-ulm-pdt.m1amdocs.io/platform/rest/v85/user/loginHistory \
--cookie JSESSIONID=import requests
url = "https://nxt-ulm-pdt.m1amdocs.io/platform/rest/v85/user/loginHistory"
headers = {"cookie": "JSESSIONID="}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {cookie: 'JSESSIONID='}};
fetch('https://nxt-ulm-pdt.m1amdocs.io/platform/rest/v85/user/loginHistory', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://nxt-ulm-pdt.m1amdocs.io/platform/rest/v85/user/loginHistory",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_COOKIE => "JSESSIONID=",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://nxt-ulm-pdt.m1amdocs.io/platform/rest/v85/user/loginHistory"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("cookie", "JSESSIONID=")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://nxt-ulm-pdt.m1amdocs.io/platform/rest/v85/user/loginHistory")
.header("cookie", "JSESSIONID=")
.asString();require 'uri'
require 'net/http'
url = URI("https://nxt-ulm-pdt.m1amdocs.io/platform/rest/v85/user/loginHistory")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["cookie"] = 'JSESSIONID='
response = http.request(request)
puts response.read_body[
{
"deviceIP": "127.0.0.1",
"relyingPartyId": "music",
"relyingPartyProtocol": "REST",
"requestedHost": "host1",
"runtime": {
"activatedDate": 1514766808000,
"attributes": {
"macAddress": "000000000001A0",
"externalDeviceGUID": "<string>"
},
"buildType": "Production",
"createdDate": 1538682581776,
"deactivatedDate": 1543833950000,
"deviceType": "phone",
"displayName": "Paul's iPad",
"guid": "DEF123",
"id": 1,
"platformType": "android",
"status": "activated",
"suspendedDate": 1527917430000,
"type": "com.uxpsystems.ulm.entity.RegularEntityType",
"updatedDate": 1538682581776,
"userAgent": "Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/71.0.3578.98 Safari/537.36",
"version": "4.1.1"
},
"timestamp": 1651180416000
}
]{
"fieldErrors": [
{
"code": "NotNull",
"code_v2": "not-null",
"field": "name",
"message": "Value must not be null",
"rejectedValue": "bad value"
}
],
"operationErrors": [
{
"code": "invalid-page-offset",
"message": "The requested page size is larger than the permitted max page size."
}
]
}{
"operationError": {
"code": "<string>",
"message": "Bad user input",
"type": "<string>",
"authorities": [
"<string>"
]
},
"stackTrace": "<string>",
"operationErrors": [
{
"code": "authentication-required",
"message": "Full Authentication Required"
}
]
}{
"operationError": {
"code": "<string>",
"message": "Bad user input",
"type": "<string>",
"authorities": [
"<string>"
]
},
"stackTrace": "<string>",
"operationErrors": [
{
"code": "ACCESS_FORBIDDEN",
"message": "Access Denied"
}
]
}Authorizations
Query Parameters
Set of entities to be expanded. If an entity is specified, then that entity is expanded to include all of its properties and attributes in the response. Currently, this parameter only supports 'runtime' as a possible value. If 'runtime' is not set in this parameter, then the runtime will appear as 'runtime: {runtime ID number}' in the response.
Show child attributes
Show child attributes
The initial position to search from
The maximum number of results to return
Response
OK
The device IP value from the device performing login.
"127.0.0.1"
The services requiring login.
"music"
The Relying Party Protocol
OPENID_CONNECT, SAML, REST "REST"
The original Host client used to perform login.
"host1"
The data model that contains the possible runtime properties. Some properties come on a ULM entity by default. Service providers can create and add their own additional properties in order to extend the ULM platform.
Show child attributes
Show child attributes
The login timestamp, expressed in UNIX Epoch time
1651180416000

